| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::cuda::HoughCirclesDetector Class Referenceabstract
CUDA-accelerated Computer Vision » Image Processing » Hough Transform

Base class for circles detector algorithm. : More...

`#include <opencv2/cudaimgproc.hpp>`

Collaboration diagram for cv::cuda::HoughCirclesDetector:

## Public Member Functions
virtual void | detect (InputArray src, OutputArray circles, Stream &stream=Stream::Null())=0
| Finds circles in a grayscale image using the Hough transform.
virtual int | getCannyThreshold () const =0
virtual float | getDp () const =0
virtual int | getMaxCircles () const =0
virtual int | getMaxRadius () const =0
virtual float | getMinDist () const =0
virtual int | getMinRadius () const =0
virtual int | getVotesThreshold () const =0
virtual void | setCannyThreshold (int cannyThreshold)=0
virtual void | setDp (float dp)=0
virtual void | setMaxCircles (int maxCircles)=0
virtual void | setMaxRadius (int maxRadius)=0
virtual void | setMinDist (float minDist)=0
virtual void | setMinRadius (int minRadius)=0
virtual void | setVotesThreshold (int votesThreshold)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Base class for circles detector algorithm. :

## Member Function Documentation

## ◆ detect()

virtual void cv::cuda::HoughCirclesDetector::detect | ( | InputArray | src,
|  | OutputArray | circles,
|  | Stream & | stream = Stream::Null() )
| pure virtual

Finds circles in a grayscale image using the Hough transform.

Parameters

  src | 8-bit, single-channel grayscale input image.
  circles | Output vector of found circles. Each vector is encoded as a 3-element floating-point vector \((x, y, radius)\) .
  stream | Stream for the asynchronous version.

See also
  HoughCircles

## ◆ getCannyThreshold()

virtual int cv::cuda::HoughCirclesDetector::getCannyThreshold | ( |  | ) | const
| pure virtual

## ◆ getDp()

virtual float cv::cuda::HoughCirclesDetector::getDp | ( |  | ) | const
| pure virtual

## ◆ getMaxCircles()

virtual int cv::cuda::HoughCirclesDetector::getMaxCircles | ( |  | ) | const
| pure virtual

## ◆ getMaxRadius()

virtual int cv::cuda::HoughCirclesDetector::getMaxRadius | ( |  | ) | const
| pure virtual

## ◆ getMinDist()

virtual float cv::cuda::HoughCirclesDetector::getMinDist | ( |  | ) | const
| pure virtual

## ◆ getMinRadius()

virtual int cv::cuda::HoughCirclesDetector::getMinRadius | ( |  | ) | const
| pure virtual

## ◆ getVotesThreshold()

virtual int cv::cuda::HoughCirclesDetector::getVotesThreshold | ( |  | ) | const
| pure virtual

## ◆ setCannyThreshold()

virtual void cv::cuda::HoughCirclesDetector::setCannyThreshold | ( | int | cannyThreshold | ) |
| pure virtual

## ◆ setDp()

virtual void cv::cuda::HoughCirclesDetector::setDp | ( | float | dp | ) |
| pure virtual

## ◆ setMaxCircles()

virtual void cv::cuda::HoughCirclesDetector::setMaxCircles | ( | int | maxCircles | ) |
| pure virtual

## ◆ setMaxRadius()

virtual void cv::cuda::HoughCirclesDetector::setMaxRadius | ( | int | maxRadius | ) |
| pure virtual

## ◆ setMinDist()

virtual void cv::cuda::HoughCirclesDetector::setMinDist | ( | float | minDist | ) |
| pure virtual

## ◆ setMinRadius()

virtual void cv::cuda::HoughCirclesDetector::setMinRadius | ( | int | minRadius | ) |
| pure virtual

## ◆ setVotesThreshold()

virtual void cv::cuda::HoughCirclesDetector::setVotesThreshold | ( | int | votesThreshold | ) |
| pure virtual

The documentation for this class was generated from the following file:

- opencv2/cudaimgproc.hpp